Subject: Ticket Assigned - Order # 9640233161
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 10 Mar 2021 02:01:26 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order # 9640233161 Hi,
I made the order on 6.3.21 and paid by my card- amount was debited as shown on the screenshot below:

However I received email saying no money was taken from my card and that I should choose cash or other payment method if I want to get my order.
I called your customer service at the same time but was useless as the lady didn't really bother to help, just told me to wait till tomorrow (which is today) and see if anything will change (nothing changed).
Please resolve this, I would like to receive my order but if not possible I need a refund as money was definitely taken from my card.
Thank you.
Regards,Lana Pericic

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2205925